@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

body {
    margin: 0;
    background-color: rgba(255, 255, 255, 0);
    text-align: left;
    font-family: "poppins", -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 15px;
    text-align: center;
}

html {
    scroll-behavior: smooth;
}

.p {
    text-align: left;
}

/*navbar*/


/* carousel */
.carousel {
    height: 100vh;
    width: 100vw;
    overflow: hidden;
    position: relative;
}

.carousel .list .item {
    width: 100%;
    height: 100%;
    position: absolute;
    inset: 0 0 0 0;
}

.carousel .list .item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.carousel .list .item .content {
    position: absolute;
    top: 20%;
    width: 1140px;
    max-width: 80%;
    left: 50%;
    transform: translateX(-50%);
    padding-right: 30%;
    box-sizing: border-box;
    color: #080259;
    text-shadow: 0 5px 10px #0004;
}

.carousel .list .item .author {
    font-weight: bold;
    letter-spacing: 5px;
}

.title_banner {
    font-size: 50px;
    font-weight: bold;
}

.topic_banner {
    font-size: 45px;
    font-weight: bold;
}

.carousel .list .item .title,
.carousel .list .item .topic {
    font-size: 3em;
    font-weight: bold;
    line-height: 1.3em;
}

.carousel .list .item .topic {
    color: #0651d2;
}

.carousel .list .item .buttons {
    display: grid;
    grid-template-columns: repeat(2, 130px);
    grid-template-rows: 40px;
    gap: 5px;
    margin-top: 20px;
}

.carousel .list .item .buttons button {
    border: none;
    background-color: #eeeeee;
    letter-spacing: 3px;
    font-family: Poppins;
    font-weight: 500;
}

.carousel .list .item .buttons button:nth-child(2) {
    background-color: transparent;
    border: 1px solid #c2aef8;
    color: #d0d4e5;
}

/* thumbail */
.thumbnail {
    position: absolute;
    bottom: 50px;
    left: 50%;
    width: max-content;
    z-index: 100;
    display: flex;
    gap: 20px;
}

.thumbnail .item {
    width: 150px;
    height: 220px;
    flex-shrink: 0;
    position: relative;
}

.thumbnail .item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}

.thumbnail .item .content {
    color: #fff;
    position: absolute;
    bottom: 10px;
    left: 10px;
    right: 10px;
}

.thumbnail .item .content .title {
    font-weight: 500;
}

.thumbnail .item .content .description {
    font-weight: 300;
}

/* arrows */
.arrows {
    position: absolute;
    top: 80%;
    right: 52%;
    z-index: 100;
    width: 300px;
    max-width: 30%;
    display: flex;
    gap: 10px;
    align-items: center;
}

.arrows button {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #eee4;
    border: none;
    color: #fff;
    font-family: monospace;
    font-weight: bold;
    transition: .5s;
}

.arrows button:hover {
    background-color: #fff;
    color: #000;
}

/*Gallery*/
.clearfix {
    background-color: linear-gradient(177.9deg, rgb(22, 51, 234) 3.6%, rgb(119, 127, 148) 105.8%);

}


/* animation */
.carousel .list .item:nth-child(1) {
    z-index: 1;
}

#Wellcome {
    padding-top: 20px;

}

/* animation text in first item */

.carousel .list .item:nth-child(1) .content .author,
.carousel .list .item:nth-child(1) .content .title,
.carousel .list .item:nth-child(1) .content .topic,
.carousel .list .item:nth-child(1) .content .des,
.carousel .list .item:nth-child(1) .content .buttons {
    transform: translateY(50px);
    filter: blur(20px);
    opacity: 0;
    animation: showContent .5s 1s linear 1 forwards;
}

@keyframes showContent {
    to {
        transform: translateY(0px);
        filter: blur(0px);
        opacity: 1;
    }
}

.carousel .list .item:nth-child(1) .content .title {
    animation-delay: 1.2s !important;
}

.carousel .list .item:nth-child(1) .content .topic {
    animation-delay: 1.4s !important;
}

.carousel .list .item:nth-child(1) .content .des {
    animation-delay: 1.6s !important;
}

.carousel .list .item:nth-child(1) .content .buttons {
    animation-delay: 1.8s !important;
}

/* create animation when next click */
.carousel.next .list .item:nth-child(1) img {
    width: 150px;
    height: 220px;
    position: absolute;
    bottom: 50px;
    left: 50%;
    border-radius: 30px;
    animation: showImage .5s linear 1 forwards;
}

@keyframes showImage {
    to {
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: 0;
    }
}

.carousel.next .thumbnail .item:nth-last-child(1) {
    overflow: hidden;
    animation: showThumbnail .5s linear 1 forwards;
}

.carousel.prev .list .item img {
    z-index: 100;
}

@keyframes showThumbnail {
    from {
        width: 0;
        opacity: 0;
    }
}

.carousel.next .thumbnail {
    animation: effectNext .5s linear 1 forwards;
}

@keyframes effectNext {
    from {
        transform: translateX(150px);
    }
}

/* running time */

.carousel .time {
    position: absolute;
    z-index: 1000;
    width: 0%;
    height: 3px;
    background-color: #f1683a;
    right: 0;
    top: 0;
}

.carousel.next .time,
.carousel.prev .time {
    animation: runningTime 3s linear 1 forwards;
}

@keyframes runningTime {
    from {
        width: 100%
    }

    to {
        width: 0
    }
}


/* prev click */

.carousel.prev .list .item:nth-child(2) {
    z-index: 2;
}

.carousel.prev .list .item:nth-child(2) img {
    animation: outFrame 0.5s linear 1 forwards;
    position: absolute;
    bottom: 0;
    left: 0;
}

@keyframes outFrame {
    to {
        width: 150px;
        height: 220px;
        bottom: 50px;
        left: 50%;
        border-radius: 20px;
    }
}

.carousel.prev .thumbnail .item:nth-child(1) {
    overflow: hidden;
    opacity: 0;
    animation: showThumbnail .5s linear 1 forwards;
}

.carousel.next .arrows button,
.carousel.prev .arrows button {
    pointer-events: none;
}

.carousel.prev .list .item:nth-child(2) .content .author,
.carousel.prev .list .item:nth-child(2) .content .title,
.carousel.prev .list .item:nth-child(2) .content .topic,
.carousel.prev .list .item:nth-child(2) .content .des,
.carousel.prev .list .item:nth-child(2) .content .buttons {
    animation: contentOut 1.5s linear 1 forwards !important;
}

@keyframes contentOut {
    to {
        transform: translateY(-150px);
        filter: blur(20px);
        opacity: 0;
    }
}

@media screen and (max-width: 678px) {
    .carousel .list .item .content {
        padding-right: 0;
    }

    .carousel .list .item .content .title {
        font-size: 30px;
    }
}

* {
    box-sizing: border-box;
}

#aboutus {
    padding-top: 30px;
    border: 2px;
    border-color: #004658;

}

.responsive {
    width: 100%;
    height: auto;

}

.aboutus-content {
    text-align: left;
}

.row {
    padding-left: 20px;

}

/* wellcome animation*/

.container span {
    text-transform: uppercase;
    display: block;
}

.wellcome_text {
    color: rgb(2, 25, 45);
    font-size: 30px;
    font-weight: 500;
    letter-spacing: 8px;
    margin-bottom: 20px;
    background: #fff;
    position: relative;
    animation: text 3s 1;
}

.tur_text {
    font-size: 22px;
    color: #7BD3EA;
}

@keyframes text {
    0% {
        color: #000;
        margin-bottom: -40px;
    }

    30% {
        letter-spacing: 25px;
        margin-bottom: -40px;
    }

    85% {
        letter-spacing: 8px;
        margin-bottom: -40px;
    }

}

/* Create two equal columns that floats next to each other */
.column {
    padding-top: 30px;
    width: 50%;

    height: 500px;
    /* Should be removed. Only for demonstration */
    padding-left: 20px;
    text-align: left;

}

/*button*/
.button {
    background-color: #050952;
    /* Green */
    border: none;
    color: rgb(243, 250, 38);
    border: 2px;

    padding: 15px 32px;
    text-align: center;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px 4px;
    cursor: pointer;
    border-radius: 10px;
    display: block;
    margin: auto;
    padding-bottom: 15px;

}

.button:hover {
    background-color: #f8d407;

}

.button:hover a {
    color: #000;
}



.aboutus-content {
    font-family: Arial, Helvetica, sans-serif;
    text-align: left;
    padding-left: 10px;
}


/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;

}

.googleMap_responsive {
    width: 100%;
    height: auto;
}

.clientimage_responsive {

    width: 80%;
    height: auto;

}

.googleMap {

    width: 80%;
    height: auto;
}

.responsive_solar {

    width: 100%;
    height: 500px;
}

.carousel_solar.solar_content {
    position: absolute;
    bottom: 0;
    background: rgb(0, 0, 0);
    /* Fallback color */
    background: rgba(0, 0, 0, 0.5);
    /* Black background with 0.5 opacity */
    color: #f1f1f1;
    width: 100%;
    padding: 20px;
}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
    .clien {
        width: 100%;
    }
}

/*footer*/

a {
    color: #fff;
    text-decoration: none;
}

.pg-footer {
    font-family: 'Roboto', sans-serif;
}

.fa {
    padding: 15px;
    text-align: center;
    margin: 5px 2px;
    font-size: 30px;
    width: 60px;
    text-decoration: none;
}

.fa:hover {
    opacity: 0.6;
    color: black;
}


.fa-facebook {
    background: #3B5998;
    color: white;
}

.social_icon {
    padding-left: 20px;
}



.fa-google {
    background: #df2f18;
    color: white;
}

.fa-linkedin {
    background: #007bb5;
    color: white;
}

.fa-whatsapp {
    background: #03c834;
    color: white;
}



.footer {
    background-color: #004658;
    color: #fff;
}

.footer-wave-svg {
    background-color: transparent;
    display: block;
    height: 30px;
    position: relative;
    top: -1px;
    width: 100%;
}

.footer-wave-path {
    fill: #fffff2;
}

.footer-content {
    margin-left: auto;
    margin-right: auto;
    max-width: 1230px;
    padding: 40px 15px 450px;
    position: relative;
}

.footer-content-column {
    box-sizing: border-box;
    float: left;
    padding-left: 15px;
    padding-right: 15px;
    width: 100%;
    color: #fff;
}

.footer-content-column ul li a {
    color: #fff;
    text-decoration: none;
}


.footer-menu {
    margin-top: 30px;
}

.footer-menu-name {
    color: #fffff2;
    font-size: 15px;
    font-weight: 900;
    letter-spacing: .1em;
    line-height: 18px;
    margin-bottom: 0;
    margin-top: 0;
    text-transform: uppercase;
}

.footer-menu-list {
    list-style: none;
    margin-bottom: 0;
    margin-top: 10px;
    padding-left: 0;
}

.footer-menu-list li {
    margin-top: 5px;
}

.footer-call-to-action-description {
    color: #fffff2;
    margin-top: 10px;
    margin-bottom: 20px;
}

.footer-call-to-action-button:hover {
    background-color: #fffff2;
    color: #00bef0;
}

.button:last-of-type {
    margin-right: 0;
}

.footer-call-to-action {
    margin-top: 30px;
}

.footer-call-to-action-title {
    color: #fffff2;
    font-size: 14px;
    font-weight: 900;
    letter-spacing: .1em;
    line-height: 18px;
    margin-bottom: 0;
    margin-top: 0;
    text-transform: uppercase;
}

.footer-call-to-action-link-wrapper {
    margin-bottom: 0;
    margin-top: 10px;
    color: #fff;
    text-decoration: none;
}

.footer-call-to-action-link-wrapper a {
    color: #fff;
    text-decoration: none;
}


.footer-call-to-action-button {
    background-color: #027b9a;
    border-radius: 21px;
    color: #fffff2;
    display: inline-block;
    font-size: 11px;
    font-weight: 900;
    letter-spacing: .1em;
    line-height: 18px;
    padding: 12px 30px;
    margin: 0 10px 10px 0;
    text-decoration: none;
    text-transform: uppercase;
    transition: background-color .2s;
    cursor: pointer;
    position: relative;
}



.hidden-link-text {
    position: absolute;
    clip: rect(1px 1px 1px 1px);
    clip: rect(1px, 1px, 1px, 1px);
    -webkit-clip-path: inset(0px 0px 99.9% 99.9%);
    clip-path: inset(0px 0px 99.9% 99.9%);
    overflow: hidden;
    height: 1px;
    width: 1px;
    padding: 0;
    border: 0;
    top: 50%;
}

/*contact */
#contact {
    margin-top: 10px;
    border-top: 10px;

    padding-top: 10px;
    padding-bottom: 50px;
    /* background: url(image/contact-bg1.jpg);*/

    background-attachment: fixed;

    background-size: cover;
    background-position: center;

}

#contact .container .contact-heading {
    color: #140505;
    font-size: 35px;

}

#contact .container .contact-subheading {

    color: #060000;
    font-size: 20px;

}

#contact .container .form-group input[type=text],
#contact .container .form-group input[type=email],
#contact .container .form-group input[type=tel] {
    padding: 22px;
    outline: none !important;

}

#contact .container .form-group textarea {

    height: 250px;
}

::placeholder {
    font-size: 15px;

}


#contact .container .form-group {
    padding-top: 10px;
    padding-bottom: 5px;

}


#contact .container .btn {

    padding: 10px;
    margin: 15px;
    font-size: 20px;
    background: linear-gradient(to bottom, #47c6f8, #6f80f2);
    outline: none !important;
    box-shadow: 10px;
    border-radius: 5px;
    box-shadow: inset 0 -3px 0 #1f97c7, inset 0 -3px 3px #39aad6, inset 0 2px 2px #9ad7ef,
        inset 1px 0 2px #22a4d9, inset -1px 0 2px #22a4d9, 0 1px 1px rgba(0, 0, 0, 0.1),
        0 2px 2px rgba(0, 0, 0, 0.06), 0 3px 3px rgba(0, 0, 0, 0.17), 2px 1px 2px rgba(43, 149, 191, 0.05),
        -2px 1px 2px rgba(0, 0, 0, 0.05);
}

#contact .container .btn:hover {
    background-image: linear-gradient(177.5deg, rgba(149, 222, 250, 1) 8.4%, rgba(0, 109, 208, 1) 105.1%);
    color: #e3dcdc;

}

.from-control {
    border: 1px solid #bdb6b6;
    opacity: 0.5;
}









/* Media Query For different screens */
@media (min-width:320px) and (max-width:479px) {

    /* smartphones, portrait iPhone, portrait 480x320 phones (Android) */
    .footer-content {
        margin-left: auto;
        margin-right: auto;
        max-width: 1230px;
        padding: 40px 15px 1050px;
        position: relative;
    }
}

@media (min-width:480px) and (max-width:599px) {

    /* smartphones, Android phones, landscape iPhone */
    .footer-content {
        margin-left: auto;
        margin-right: auto;
        max-width: 1230px;
        padding: 40px 15px 1050px;
        position: relative;
    }
}

@media (min-width:600px) and (max-width: 800px) {

    /* portrait tablets, portrait iPad, e-readers (Nook/Kindle), landscape 800x480 phones (Android) */
    .footer-content {
        margin-left: auto;
        margin-right: auto;
        max-width: 1230px;
        padding: 40px 15px 1050px;
        position: relative;
    }
}

@media (min-width:801px) {
    /* tablet, landscape iPad, lo-res laptops ands desktops */

}

@media (min-width:1025px) {
    /* big landscape tablets, laptops, and desktops */

}

@media (min-width:1281px) {
    /* hi-res laptops and desktops */

}




@media (min-width: 760px) {
    .footer-content {
        margin-left: auto;
        margin-right: auto;
        max-width: 1230px;
        padding: 40px 15px 450px;
        position: relative;
    }

    .footer-wave-svg {
        height: 50px;
    }

    .footer-content-column {
        width: 24.99%;
    }
}

@media (min-width: 568px) {
    /* .footer-content-column {
        width: 49.99%;
    } */
}